%global npm_name rc
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 1.2.8
Release: %mkrel 3
Summary: hardwired configuration loader
License: BSD OR MIT OR ASL 2.0
Group: Development/Other
URL: https://github.com/dominictarr/rc#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(deep-extend) >= 0.5.1
Requires: npm(ini) >= 1.3.0
Requires: npm(minimist) >= 1.2.0
Requires: npm(strip-json-comments) >= 2.0.1
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr browser.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr cli.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr test %{buildroot}%{nodejs_sitelib}/%{npm_name}

mkdir -p %{buildroot}%{_bindir}
chmod 0755 %{buildroot}%{nodejs_sitelib}/%{npm_name}/cli.js
ln -sf %{nodejs_sitelib}/%{npm_name}/cli.js %{buildroot}%{_bindir}/rc

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%{_bindir}/rc
%license LICENSE.APACHE2
%license LICENSE.BSD
%license LICENSE.MIT
%doc README.md



%changelog
* Sun Jul 05 2020 joequant <joequant> 1.2.8-3.mga8
+ Revision: 1602151
- redo deps

* Fri Feb 14 2020 umeabot <umeabot> 1.2.8-2.mga8
+ Revision: 1521214
- Mageia 8 Mass Rebuild

* Sun Dec 16 2018 kekepower <kekepower> 1.2.8-1.mga7
+ Revision: 1341678
- Update to version 1.2.8

* Thu Sep 20 2018 umeabot <umeabot> 1.2.7-2.mga7
+ Revision: 1280921
- Mageia 7 Mass Rebuild

* Thu May 03 2018 kekepower <kekepower> 1.2.7-1.mga7
+ Revision: 1225608
- imported package nodejs-rc

